<?php

if (!defined('ABSPATH')) {
    exit;
}

// Get table name of suppliers  // Obtiene el nombre de la tabla proveedores
global $wpdb;
$tabla_mcisoe_suppliers = sanitize_text_field($wpdb->prefix) . 'mcisoe_suppliers';
$tabla_mcisoe_options   = sanitize_text_field($wpdb->prefix) . 'mcisoe_options';

//==========================================================
// Get data of DB  // Obtiene datos de la Base de datos
//==========================================================

// Supplier names & emails
$get_supplier_data = $wpdb->get_results("SELECT id, supplier_name, supplier_email FROM " . esc_sql($tabla_mcisoe_suppliers) . " WHERE supplier_name != ''");

$get_subject = $wpdb->get_results("SELECT supplier_value FROM " . esc_sql($tabla_mcisoe_suppliers) . " WHERE supplier_key = 'email_subject'");
if (!empty($get_subject)) {$get_subject = sanitize_text_field($get_subject[0]->supplier_value);}

$get_intro = $wpdb->get_results("SELECT supplier_value FROM " . esc_sql($tabla_mcisoe_suppliers) . " WHERE supplier_key = 'email_intro'");
if (!empty($get_intro)) {$get_intro = sanitize_text_field($get_intro[0]->supplier_value);}

$get_select_email_admin = $wpdb->get_results("SELECT supplier_value FROM " . esc_sql($tabla_mcisoe_suppliers) . " WHERE supplier_key = 'select_email_admin'");
$get_select_email_admin = sanitize_text_field($get_select_email_admin[0]->supplier_value);

$get_replace_address = $wpdb->get_results("SELECT supplier_value FROM " . esc_sql($tabla_mcisoe_suppliers) . " WHERE supplier_key = 'replace_address'");
$get_replace_address = sanitize_text_field($get_replace_address[0]->supplier_value);

// Get values of Premium options table ////////////////////////////////////////////////////

//Get mcisoe_auth_premium
$mcisoe_auth_premium = get_option('mcisoe_auth_premium');

//$get_pass_premium_form_sequre = sanitize_text_field($get_pass_premium_form_sequre[0]->value_mci);

if ($mcisoe_auth_premium) { // Check password premium
    // Get show_order_number
    $get_show_order_number = $wpdb->get_results("SELECT value_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'show_order_number'");
    if (!empty($get_show_order_number)) {
        $get_show_order_number = sanitize_text_field($get_show_order_number[0]->value_mci);
    }
    // Get show_ean
    $get_show_ean = $wpdb->get_results("SELECT value_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'show_ean'");
    if (!empty($get_show_ean)) {
        $get_show_ean = sanitize_text_field($get_show_ean[0]->value_mci);
    }
    // Get show_price_items
    $get_show_price_items = $wpdb->get_results("SELECT value_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'show_price_items'");
    if (!empty($get_show_price_items)) {
        $get_show_price_items = sanitize_text_field($get_show_price_items[0]->value_mci);
    }
    // Get show_order_total
    $get_show_order_total = $wpdb->get_results("SELECT value_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'show_order_total'");
    if (!empty($get_show_order_total)) {
        $get_show_order_total = sanitize_text_field($get_show_order_total[0]->value_mci);
    }
    // Get show_order_total
    $get_header_color = $wpdb->get_results("SELECT value_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'header_color'");
    if (isset($get_header_color) && !empty($get_header_color)) {
        $get_header_color = sanitize_hex_color($get_header_color[0]->value_mci);
    }
    // Get hide_customer
    $get_hide_customer = $wpdb->get_results("SELECT value_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'hide_customer'");
    if (!empty($get_hide_customer)) {
        $get_hide_customer = sanitize_text_field($get_hide_customer[0]->value_mci);
    }
    // Get show_customer_email
    $get_show_customer_email = $wpdb->get_results("SELECT value_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'show_customer_email'");
    if (!empty($get_show_customer_email)) {
        $get_show_customer_email = sanitize_text_field($get_show_customer_email[0]->value_mci);
    }
    // Get show_notes
    $get_show_notes = $wpdb->get_results("SELECT value_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'show_notes'");
    if (!empty($get_show_notes)) {
        $get_show_notes = sanitize_text_field($get_show_notes[0]->value_mci);
    }
    // Get show_product_meta
    $get_show_product_meta = $wpdb->get_results("SELECT value_mci FROM " . esc_sql($tabla_mcisoe_options) . " WHERE option_mci = 'show_product_meta'");
    if (!empty($get_show_product_meta)) {
        $get_show_product_meta = sanitize_text_field($get_show_product_meta[0]->value_mci);
    }
}

// End of Get values Premium //////////////////////////////////////////////////////////////

if (isset($_GET['id'])) {
    $get_id = sanitize_text_field($_GET['id']);
}
if (!empty($_GET['id'])) {
    $regs = $wpdb->get_results("SELECT id, supplier_name, supplier_email FROM " . esc_sql($tabla_mcisoe_suppliers) . " WHERE id = " . esc_sql($get_id));
    foreach ($regs as $reg) {}
}